# Uses of Class
java.awt.im.InputMethodHighlight

Packages that use InputMethodHighlight
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.im
Provides classes and interfaces for the input method framework.

## Uses of InputMethodHighlight in java.awt

Methods in java.awt with parameters of type InputMethodHighlight
Modifier and Type
Method
Description
`abstract Map<TextAttribute, ?>`
Toolkit.`mapInputMethodHighlight(InputMethodHighlight highlight)`
Returns a map of visual attributes for the abstract level description of the given input method highlight, or null if no mapping is found.

## Uses of InputMethodHighlight in java.awt.im

Fields in java.awt.im declared as InputMethodHighlight
Modifier and Type
Field
Description
`static final InputMethodHighlight`
InputMethodHighlight.`SELECTED_CONVERTED_TEXT_HIGHLIGHT`
Constant for the default highlight for selected converted text.
`static final InputMethodHighlight`
InputMethodHighlight.`SELECTED_RAW_TEXT_HIGHLIGHT`
Constant for the default highlight for selected raw text.
`static final InputMethodHighlight`
InputMethodHighlight.`UNSELECTED_CONVERTED_TEXT_HIGHLIGHT`
Constant for the default highlight for unselected converted text.
`static final InputMethodHighlight`
InputMethodHighlight.`UNSELECTED_RAW_TEXT_HIGHLIGHT`
Constant for the default highlight for unselected raw text.